Your submission was sent successfully! Close

CVE-2021-33035

Published: 23 September 2021

Apache OpenOffice opens dBase/DBF documents and shows the contents as spreadsheets. DBF are database files with data organized in fields. When reading DBF data the size of certain fields is not checked: the data is just copied into local variables. A carefully crafted document could overflow the allocated space, leading to the execution of arbitrary code by altering the contents of the program stack. This issue affects Apache OpenOffice up to and including version 4.1.10

Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
libreoffice
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(1:6.0.7-0ubuntu0.18.04.10)
focal Not vulnerable

hirsute Not vulnerable

impish Not vulnerable

trusty Ignored
(out of standard support)
upstream
Released (1:4.3.1-1)
xenial Not vulnerable